cancel
Showing results for 
Search instead for 
Did you mean: 

Upgrade Problem 1.8.x to 1.9.x

Upgrade Problem 1.8.x to 1.9.x

We upgrade our Magento package using the extensions manager and 'Check for Upgrades options'. Where possible we upgraded to a 1.9.x stable version.

 

On finishing out site is show the theme header, logo and background however nothing else. We cannot get access to admin etc.

Looking at our error log we are getting the following:

 

a:5:{i:0;s:105:"SQLSTATE[HY000] [2002] Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)";i:1;s:1770:"#0

 

We don't however have a directory /var/lib/mysql ?

 

Can anyone shed some light please?

3 REPLIES

Re: Upgrade Problem 1.8.x to 1.9.x

As this is a forum and this would help many others can you provide some help as how to fix.....

Re: Upgrade Problem 1.8.x to 1.9.x

I am also seeing the following error in the log:

 

PHP Fatal error:  Class 'Zend_Locale_Data' not found in /var/www/vhosts/domainnamehere.com/httpdocs/app/code/core/Mage/Core/Model/Locale.php on line 171

 

Line 171: Zend_Locale_Data::setCache(Mage::app()->getCache());

Re: Upgrade Problem 1.8.x to 1.9.x

Hi, @eightmedia thank you for start using the forum for your questions.

 

When upgrading from magento 1.8.x to version 1.9.x the safest way to upgrade is actually to download the full package, and upload it manually via FTP, as there is so much that can go wrong with a "normal" upgrade, so before we continue please do this.

 

Also remember to turn of cache and compiling, and flush cache/combined javascript files etc. if you have forgotten this. If you have forgotten this you can eather delete the cache files manually via FTP or turn it off via PHPmyadmin directly.

 

In most cases upgrades fails is

 

1) Theme not updated to work with latest version (as there been some changes, but not more than we can figure them out under the way)

 

2) That you have update modules from third party developers if you have this

 

After uploading a clean version via ftp. please delete all logs in /var/log and then refresh the page, so we get the "latest" error and we can proceed from there. Sincerly